package javax.sound.sampled.spi;

import javax.sound.sampled.AudioInputStream;
import java.io.File;
import java.net.URL;
import java.io.IOException;
import javax.sound.sampled.UnsupportedAudioFileException;
import javax.sound.sampled.AudioFileFormat;
import java.io.InputStream;

public abstract class AudioFileReader
{
    public AudioFileReader() {
    }
    
    public abstract AudioFileFormat getAudioFileFormat(InputStream p0) throws UnsupportedAudioFileException, IOException;
    
    public abstract AudioFileFormat getAudioFileFormat(URL p0) throws UnsupportedAudioFileException, IOException;
    
    public abstract AudioFileFormat getAudioFileFormat(File p0) throws UnsupportedAudioFileException, IOException;
    
    public abstract AudioInputStream getAudioInputStream(InputStream p0) throws UnsupportedAudioFileException, IOException;
    
    public abstract AudioInputStream getAudioInputStream(URL p0) throws UnsupportedAudioFileException, IOException;
    
    public abstract AudioInputStream getAudioInputStream(File p0) throws UnsupportedAudioFileException, IOException;
}
